aboutsummaryrefslogtreecommitdiffstats
path: root/functest/ci
diff options
context:
space:
mode:
authorjose.lausuch <jose.lausuch@ericsson.com>2016-11-23 14:16:23 +0100
committerJose Lausuch <jose.lausuch@ericsson.com>2016-11-23 18:54:53 +0000
commit198a9fd697dcb0a971305d845d32afd797a71ede (patch)
treeb9521773dbb96fe8f313122e64b3ef49290cc5ba /functest/ci
parent389bc4ce909ed3f8a023218ddac833926aa80492 (diff)
Adapt check_os to OpenStack Newton
When printing the identity catalog using openstack catalog show identity, after the Fuel uplift, we noticed that it prints the line admin: http://192.168.0.2:35357/v2.0 Before it was adminURL: http://192.168.0.2:35357/v2.0 Change-Id: I6efc996040c6ff945c67b0f346bbad7f0a723428 Signed-off-by: jose.lausuch <jose.lausuch@ericsson.com>
Diffstat (limited to 'functest/ci')
-rw-r--r--functest/ci/check_os.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/functest/ci/check_os.sh b/functest/ci/check_os.sh
index 38fe32f5..053796d9 100644
--- a/functest/ci/check_os.sh
+++ b/functest/ci/check_os.sh
@@ -37,7 +37,12 @@ if [ $RETVAL -ne 0 ]; then
fi
echo " ...OK"
-adminURL=$(openstack catalog show identity |grep adminURL|awk '{print $4}')
+adminURL=$(openstack catalog show identity |awk '/admin/ {print $4}')
+if [ -z ${adminURL} ]; then
+ echo "ERROR: Cannot determine the admin URL."
+ openstack catalog show identity
+ exit 1
+fi
adminIP=$(echo $adminURL|sed 's/^.*http\:\/\///'|sed 's/.[^:]*$//')
adminPort=$(echo $adminURL|sed 's/^.*://'|sed 's/.[^\/]*$//')
echo ">>Verifying connectivity to the admin endpoint $adminIP:$adminPort..."